#
# spec file for package python-django-registration
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-registration
Version:        2.2
Release:        2.1
Summary:        An extensible user-registration application for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/ubernostrum/django-registration/
Source:         https://github.com/ubernostrum/django-registration/archive/%{version}.tar.gz         
Requires:       python-Django >= 1.8
BuildRequires:  python-Django >= 1.8
BuildRequires:  python-devel >= 2.7
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a fairly simple user-registration application for Django,
designed to make allowing user signups as painless as possible. It
requires a functional installation of Django 1.7 or newer, but has no
other dependencies.

Full documentation is `available online
<https://django-registration.readthedocs.org/>`_.

%prep
%setup -q -n django-registration-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Feb 27 2017 shshyukriev@suse.com
- Update to v 2.2:
  * Requires Django 1.8 and higher
* Tue Apr 19 2016 appleonkel@opensuse.org
- Update to version 2.0.4
  + No Changelog
- Use new specfile from py2pack
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 1.0
  + Changelog hasn't been updated for 1.0 version
- Use download url as source url
- Remove redundant %%clean setion and useless CFLAGS export
- Use %%{python_sitelib} instead of RECORDEDFILES filelist
* Mon Aug 27 2012 mcihar@suse.cz
- update to 0.8
  * Backend-based rewrite. See docs/upgrade.rst for details.
  * Compatibility through Django 1.4.
* Fri Nov 25 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SDPX format (http://www.spdx.org/licenses)
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
- Added copyright notice
* Fri Aug 21 2009 garloff@suse.de
- Build as noarch on openSUSE >= 11.2.
* Thu Aug 20 2009 garloff@suse.de
- update to version 0.7.
* Thu Aug 20 2009 garloff@suse.de
- django.core.validators does not exist any more. Fix.
* Fri Sep 12 2008 crrodriguez@suse.de
- update to version 0.6
